Issue 117872 - ip3 presentation
Summary: ip3 presentation
Status: UNCONFIRMED
Alias: None
Product: Impress
Classification: Application
Component: viewing (show other issues)
Version: version58
Hardware: PC Windows NT
: P3 Normal (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-16 00:46 UTC by jlandis22
Modified: 2013-01-29 22:01 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
timepiece presentation (373.64 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2011-04-16 00:46 UTC, jlandis22
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description jlandis22 2011-04-16 00:46:43 UTC
Created attachment 76397 [details]
timepiece presentation

Timepiece presentation
Comment 1 a2011 2011-09-24 17:50:57 UTC
Suggested new bug title:
PPTX document themes render with missing details in Impress

I've examined the attached file and compared how it behaves when opened in Power Point 2007 vs. Impress build m106.  The crux of the difficulty appears to be that certain effects related to having applied the Apex Theme to the Power Point document do not render exactly the same when the file is opened in Impress.

(The Apex Theme in the attached document appears to have been modified to use Times New Roman 48 for all header text and Times New Roman 28 for the default size of body text.  By default, PowerPoint used Lucida Sans 41 for headers and Book Antiqua 28, in my testing.)

Observable differences (in Apex file attached):

a) The background image renders much lighter in Impress than in PowerPoint.  Since the text is white, this lowers contrast between the background and text, making the text harder to read.

In Power Point, by going to the "Design" tab and selecting the "Background Styles" option on the far right, I can see that "Style 11" was applied to the PowerPoint presentation.  On that same line, "Style 9" appears to be a match for how the background image is rendering in Impress.  I speculate that Style 11 is calculated by applying a different shading to the information defined by 
Style 9.

b) The header text appears golden-colored in PowerPoint but white in Impress.

c) The header text has shadow effect applied in PowerPoint but not in Impress.  My tests show that this is not limited to the use of the Apex theme, so I've filed a separate bug report on this: bug#118458.

d) Slide 9's body text was tweaked to render in 26 point text instead of the 28 point text used on other slides, but Impress applied 28 point text to the bodies of all slides, so the content of slide 9 no longer fits on the slide.

e) The notes attached to some of the slides render in a single-character column in Impress.  My tests show that this is unrelated to the use of the Apex theme, so I've filed a separate bug report on this: bug#118459.

I expected to easily find discussions about the use of Microsoft Office document themes in Open Office, but I've had a very difficult time locating identifiably-relevant conversations or bugs.  Consequently, I'm not sure how much compatibility to expect between applications when Microsoft Office document themes have been applied to a document.

However, when I created a document in Word using a few different text categories (normal text, title, heading1, etc.), applied the Apex theme to that, saved it as a .docx file and opened it in Writer, the color and font choices were rendered the same in Writer as in Word.  (There were some differences about whether text was centered or not, but the color applied to the text in Microsoft Office appeared the same in OpenOffice Writer.)

I did a few very quick compares of the rendering when other document themes are applied in PowerPoint and rendered in Impress, and saw several other cases where:

* Title text color did not appear the same in Impress (e.g. in Urban theme, the title slide's main title info is white in PowerPoint but blue when rendered in Impress -- making the title text exactly match the background color of the title slide, so it appears to have disappered)

* Background images render lighter in Impress than in PowerPoint (e.g. Paper theme, where the text colors are pale grey and white, so again the reduction of contrast between text and background makes it more difficult to read the slides)

I observed other differences in other themes:

* In Foundry, the background images render strikingly different: what in PowerPoint appears as a darker inset square with two rounded corners appears in Impress as an ellipse pointed at the horizontal midpoints of the slide.

* Some themes have right-aligned Title Slide text but left-aligned titles for subsequent slides, and in those cases Impress draws the Title Slide information left-aligned (compare Foundry's titles with Concourse or Origin)

* In some themes, the background image renders without color in Impress (e.g. Opulent and Trek)

I'm not sure more detail about the differences is helpful to you at this time, but the above highlights some of the most striking differences in rendering.
Comment 2 Oliver-Rainer Wittmann 2012-06-13 12:23:46 UTC
getting rid of value "enhancement" for field "severity".
For enhancement the field "issue type" shall be used.